### File

`src/lib/open-api-http-response.error.ts`

### Extends

`HttpErrorResponse`

### Index

###### Properties
Public Readonly httpErrorResponse Public Readonly metadata
###### Accessors
operationId

### Constructor

`constructor(httpErrorResponse: HttpErrorResponse, metadata: OpenApiMetaData)`
Defined in src/lib/open-api-http-response.error.ts:4
Parameters :
Name | Type | Optional
httpErrorResponse | `HttpErrorResponse` | No
metadata | `OpenApiMetaData` | No

### Properties

Public Readonly httpErrorResponse
Type : `HttpErrorResponse`
Defined in src/lib/open-api-http-response.error.ts:7

Public Readonly metadata
Type : `OpenApiMetaData`
Defined in src/lib/open-api-http-response.error.ts:8

### Accessors

operationId
get `operationId()`
Defined in src/lib/open-api-http-response.error.ts:23

    import { HttpErrorResponse } from '@angular/common/http';
    import { OpenApiMetaData } from './open-api.meta-data';

    export class OpenApiHttpResponseError extends HttpErrorResponse {

      constructor(
        public readonly httpErrorResponse: HttpErrorResponse,
        public readonly metadata: OpenApiMetaData,
      ) {
        super({
          error: httpErrorResponse.error,
          headers: httpErrorResponse.headers,
          status: httpErrorResponse.status,
          statusText: httpErrorResponse.statusText,
          url: httpErrorResponse.url ?? undefined,
        });
        if ((Error as any)['captureStackTrace']) {
          (Error as any)['captureStackTrace'](this, OpenApiHttpResponseError);
        }
        Reflect.set(this, 'name', 'OpenApiHttpResponseError');
      }

      get operationId() {
        return this.metadata.id;
      }

    }

# results matching ""

# No results matching ""